Package: calibre / 2.75.1+dfsg-1

Metadata

Package Version Patches format
calibre 2.75.1+dfsg-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
Disable update check by default.patch | (download)

src/calibre/gui2/main.py | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 disable update check by default


Disable plugin dialog.patch | (download)

src/calibre/gui2/actions/preferences.py | 2 0 + 2 - 0 !
1 file changed, 2 deletions(-)

 disable plugin dialog

It uses a totally non-authenticated and non-trusted way of installing arbitrary
code.

Bug-Debian: http://bugs.debian.org/640026

Use packaged instead of bundled feedparser Python module.patch | (download)

recipes/lenta_ru.recipe | 4 3 + 1 - 0 !
src/calibre/web/feeds/__init__.py | 4 3 + 1 - 0 !
2 files changed, 6 insertions(+), 2 deletions(-)

 use packaged instead of bundled feedparser python module


Do not build unrar extension as we strip unrar from the t.patch | (download)

setup/extensions.json | 9 0 + 9 - 0 !
src/calibre/ebooks/metadata/archive.py | 2 1 + 1 - 0 !
2 files changed, 1 insertion(+), 10 deletions(-)

 do not build unrar extension as we strip unrar from the tarball


content server Don t load external URLs for privacy.patch | (download)

resources/content_server/browse/browse.html | 4 1 + 3 - 0 !
resources/content_server/index.html | 2 1 + 1 - 0 !
2 files changed, 2 insertions(+), 4 deletions(-)

 content-server: don't load external urls for privacy

Spotted by lintian.